package com.bwie.auth.feign.falltory;

import com.bwie.auth.feign.SystemRemoteService;
import com.bwie.common.domain.User;
import com.bwie.common.result.Result;
import org.springframework.cloud.openfeign.FallbackFactory;
import org.springframework.stereotype.Component;

/**
 * @Author：zhangchengzhi
 * @Package：com.bwie.auth.feign.falltory
 * @Project：test_day_13
 * @name：SystemRemoteService
 * @Date：2024/8/1 9:01
 */
@Component
public class SystemRemoteServiceFalltory implements FallbackFactory<SystemRemoteService> {
    @Override
    public SystemRemoteService create(Throwable cause) {
        return new SystemRemoteService() {
            @Override
            public Result<User> login(String userName) {
                return Result.error(cause.getMessage());
            }
        };
    }
}
